Atril no epub support

You think you have found a bug? Let us know about it.
Post Reply
pawel
Posts: 1
Joined: 6. Dec 2023, 14:26

Atril no epub support

Post by pawel »

Hello.
Trying to open epub with atril finishes with info "no support for epub+zip files"
Webkit2gtk installed, starting from console shows no additional infos.
Xreader, which I hoped could replace atril, reads only first sites of chapters.\
Could You help, please?
User avatar
gapan
Salix Wizard
Posts: 6231
Joined: 6. Jun 2009, 17:40

Re: Atril no epub support

Post by gapan »

The atril package that was in the repos was compiled without epub support. I just upgraded the package in the repos with a newer version that is also compiled with epub support, so when you upgrade, you should be able to use it for epubs.

I'm not sure I understand your comment about xreader. It seems to work just fine here. It works identically to the new atril package in fact. But epub support in both is more like an afterthought. I would probably use a dedicated reader app, like coolreader. And there are many more available in flathub...
Image
Image
User avatar
gapan
Salix Wizard
Posts: 6231
Joined: 6. Jun 2009, 17:40

Re: Atril no epub support

Post by gapan »

And then another update today, because I accidentally compiled with caja support, which would bring in caja and mate-desktop as dependencies. :oops:
Image
Image
pawel
Posts: 1
Joined: 6. Dec 2023, 14:26

Re: Atril no epub support

Post by pawel »

Hi, thanks for respond and actions taken
By monday I'll be away from pc, then I'll check.
With atril till that situation, I had no problems with epub files. Coolreader demands qt5 and I'm fan of one type system, gtk or qt, just as I hate systemd and prefer sysvinit-like one.
Last edited by pawel on 8. Dec 2023, 20:58, edited 1 time in total.
User avatar
Papasot
Donor
Posts: 247
Joined: 3. May 2015, 18:37
Location: Patras, Greece

Re: Atril no epub support

Post by Papasot »

gapan wrote: 7. Dec 2023, 14:07 And then another update today, because I accidentally compiled with caja support, which would bring in caja and mate-desktop as dependencies. :oops:
Before reading this I assumed atril had some kind of security update which pulled mate-desktop and even... caja for some reason? Then I thought no, can't be. I'm glad I can now safely remove those. Not that they are particularly bad, but I don't need them.
A pleasant detail in this forum: several people pick a picture of their pet as their avatar. Who am I to do otherwise? ;-)
Post Reply